# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Pay by Bank API Error response codes offer suggestions to help you debug issues as a result of wrongly formatted requests that cause errors. See the following errors and reasons taxonomy for applicable payment errors that contain available reason codes. **Pay by Bank Error code** | Error code | HTTP Code | Error Type | Description | | --- | --- | --- | --- | | 10001 | 400 | Mandatory field missing | Ensure all mandatory fields are included: externalUserId, consentType, and country. If using query parameters, include the view parameter. | | 10002 | 400 | Minimum length violation | Check the field's minimum length requirement. Minimum lengths vary by field: 1, 2, 6, 32, or 36 characters as specified in the error. | | 10003 | 400 | Maximum length violation | Check the field's maximum length requirement. Maximum lengths vary by field: 5, 36, or 128 characters as specified in the error. If the error mentions consentId, verify it is valid and within length constraints. | | 10004 | 400 | Bad value | The field value does not match the required pattern or format (for example, ^[A-Z]{2}$). | | 10100 | 400 | Minimum value violation | The numeric value is below the minimum allowed. | | 10101 | 400 | Maximum value violation | The numeric value exceeds the maximum allowed. | | 10102 | 400 | Range violation | The value is outside the allowed range. | | 10103 | 400 | Bad format / Maximum length violation | The field value is not in the expected format, or the field value exceeds maximum length. | | 10104 | 400 | Bad value | The field value is not one of the supported values. Supported values by field: - emailType (PERSONAL, BUSINESS, OTHER, UNKNOWN) - phoneNumberType (PHONE, MOBILE, BUSINESS, OTHER) - locale for US (en_US) - locale for EMEA (use allowed locales from client profile/platform) - consentType for US (ACCOUNT_INFORMATION) - consentType for EMEA (ACCOUNT_CHECK, BALANCE_CHECK, TRANSACTIONS) - country for US (allowed US country from client profile) - country for EMEA (allowed countries from client profile) | | 10105 | 400 | Unexpected field | The request contains a field that is not part of the API schema. | | 10106 | 400 | Idempotency check failure | Do not reuse the Idempotency Key across different payloads of this operation. | | 10199 | 400 | Other | An error occurred. Review the error details for more information. | | 11400 | 400 | Business validation | The financial institution token is invalid or expired. | | 11401 | 400 | Business validation | The financial institution requires additional information from the user. | | 11402–11403 | 400 | Business validation | The user provided incorrect answers to security questions. | | 11404 | 400/401 | Authentication failure / Business validation | Authentication failed, or the account migrated from a legacy connection to an OAuth connection. | | 11405 | 400 | Business validation | The account is invalid and cannot be recovered. | | 11406 | 400 | Business validation | Connection to the financial institution is not supported. | | 11407 | 400 | Business validation | The account routing number was not found. | | 11408 | 400 | Business validation | Account details were not found. | | 11409 | 400 | Business validation | The available balance has not been captured yet. | | 11410 | 403 | Security failure | Authorization failed. | | 11411 | 403 | Security failure | Connection to the financial institution is not supported. | | 11412 | 401 | Authentication failure | The financial institution blocked the user. | | 11415 | 401 | Authentication failure | The maximum limit was exceeded. | | 11900 | 400 | Business validation | The user canceled the consent. | | 11901 | 400 | Business validation | The user declined the consent. | | 11902 | 400 | Business validation | The provider is unavailable in this market. Contact support for assistance. | | 11903 | 400 | Business validation | The balances option is not supported for the Manual Connect flow. | | 11904 | 200/400 | Business validation | Parties data is not available for the Manual Connect flow. | | 11905 | 200/400 | Business validation | The allowed time for Micro Deposit confirmation expired. | | 11906 | 200/400 | Business validation | Micro Deposit confirmation attempts are exhausted. | | 12400 | 401 | Authentication failure | The authentication flow was canceled. | | 12401 | 401 | Authentication failure | The authentication flow timed out. | | 12402 | 401 | Authentication failure | The session expired or timed out. | | 12970 | 503 | System error | The API is currently unavailable. Try again later. | | 12971–12975 | 503 | System error | The API is currently unavailable. Try again later. | | 13000 | 400 | Uncategorized error | An error occurred. Review the error details for more information. | | 14000 | 401/403 | Authentication failure / Security failure | The client could not be authenticated, the client is forbidden from accessing the requested resource, the client profile is invalid, or the application is not entitled to Pay by Bank. |